Subject: Re: bug#51886: 29.0.50; pixel-scroll-mode garbage collects like crazy

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Nov 2021 15:38:36 +0200

> From: Robert Pluim <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked]
> Date: Tue, 16 Nov 2021 14:28:23 +0100
> 
> I suspect itʼs the bit that counts from k to n by generating a list of
> the integers from k to n and then running dolist over that.

Maybe, but I think we want a more direct evidence.

> As an aside, that code also does a lot of (sit-for 0), which I seem to
> remember can trigger redisplay? Perhaps it should only do that when it
> really wants to pause.

It doesn't want to pause, it wants to trigger redisplay.  Without that
the stuff will not work.